import React from 'react';
type Props = {
    children: React.ReactNode | null;
    logoSrc: string;
    avatarSrc: string;
    navItems: string[];
    navActive: string;
    avatarItems: string[];
    searchItems: {
        id: string;
        title: string;
        desc: string;
        imgUrl: string;
        author: string;
    }[];
    avatarName: string;
    searchItemLoading: boolean;
    noResults: boolean;
    handleNavItem: (item: string) => void;
    handleAvatarItem: (item: string) => void;
    handleSearchItem: (item: {
        id: string;
        title: string;
    }) => void;
    handleSearchInput: (item: string) => void;
};
export declare const BlogNavContainer: React.FC<Props>;
export {};
