import React from 'react';
export type BlogPost = {
    id: string;
    title: string;
    author: string;
    avatarSrc: string;
    imgSrc: string;
    date: string;
    desc: string;
    writePermission: boolean;
    showFavorite: boolean;
    isFavorite: boolean;
};
type Props = {
    blogPosts: BlogPost[];
    blogFilter: string[];
    paginationFilter: string[];
    blogPerPage: string;
    handleFilterSelect: ({ type, item }: {
        type: string;
        item: string;
    }) => void;
    handleCardAction: ({ id, action, }: {
        id: string;
        action: 'edit' | 'del' | 'read' | 'fav';
    }) => void;
};
export declare const BlogList: React.FC<Props>;
export {};
