import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { Box, Button, Modal, Typography } from '@mui/material';
export const DeleteModal = ({ open, title, onCancel, onConfirm, }) => {
    return (_jsx(Modal, { open: open, onClose: onCancel, "aria-labelledby": "simple-modal-title", "aria-describedby": "simple-modal-description", children: _jsxs(Box, { sx: {
                position: 'absolute',
                width: 400,
                bgcolor: 'background.paper',
                boxShadow: 24,
                p: 4,
                top: '50%',
                left: '50%',
                transform: 'translate(-50%, -50%)',
            }, children: [_jsxs(Typography, { id: "simple-modal-title", variant: "h6", component: "div", children: ["Are you sure you want to delete?", title && _jsxs(Typography, { variant: "subtitle1", children: ["Title: ", title] })] }), _jsxs(Box, { sx: {
                        display: 'flex',
                        justifyContent: 'flex-end',
                        mt: 2,
                    }, children: [_jsx(Button, { sx: { mr: 2 }, onClick: onCancel, variant: "contained", color: "primary", children: "No" }), _jsx(Button, { onClick: onConfirm, variant: "contained", color: "warning", children: "Yes" })] })] }) }));
};
